Subject: [Sip] Signaling Video Details

From: "Eugene Christensen" <[email-masked]>
Date: Wed, 20 Feb 2008 13:44:32 -0700

Hello,

I would like to be able to signal a video channel using SIP.  I have
seen in SDP how to signal the codec, the bandwidth and the rtpmap but I
don't see how to signal frame rates, frame sizes, and other negotiable
capabilities of a video codec.  Can you point me to how this is done?  I
see that in SDP, I can use the "a" for attributes but are there some
standard identifiers that are being used by the industry or described in
some rfc for how to do this?

Thank You,

Eugene Christensen

Sorenson Communications

_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Christer Holmberg" <[email-masked]>
Date: Wed, 20 Feb 2008 22:38:47 +0100

Hi,
 
You should check out the AVT WG. They specify these kind of SDP attributes for different codecs.
 
Regards,
 
Christer

________________________________

From: [email-masked] on behalf of Eugene Christensen
Sent: Wed 20/02/2008 21:44
To: [email-masked]
Subject: [Sip] Signaling Video Details

Hello,

I would like to be able to signal a video channel using SIP.  I have seen in SDP how to signal the codec, the bandwidth and the rtpmap but I don't see how to signal frame rates, frame sizes, and other negotiable capabilities of a video codec.  Can you point me to how this is done?  I see that in SDP, I can use the "a" for attributes but are there some standard identifiers that are being used by the industry or described in some rfc for how to do this?

Thank You,

Eugene Christensen

Sorenson Communications

---

From: "Even, Roni" <[email-masked]>
Date: Thu, 21 Feb 2008 00:17:14 +0200

Hi,
These parameters are codec specific and appear in the payload specification. Look for example at the H.263 RFC4629 or H.261 in RFC4587 or H.264 in RFC 3984
Roni Even

From: [email-masked] on behalf of Eugene Christensen
Sent: Wed 2/20/2008 10:44 PM
To: [email-masked]
Subject: [Sip] Signaling Video Details

Hello,

 

Thank You,

Eugene Christensen

Sorenson Communications